List projects
Projects with their client, code and dates.
GET https://cotlet.dev/api/v1/resource-guru/projects
read
Returns each project with its ID, name, project code, client and start and end dates. Active projects come first unless archived is true. Use the ID in create_booking and update_booking.
Parameters
| Name | Type | Description |
|---|---|---|
| search string | string | Part of a project name or code. |
| archived boolean | boolean | True to list archived projects instead of active ones. |
Request
curl https://cotlet.dev/api/v1/resource-guru/projects \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("resource-guru", "list_projects") const result = await cotlet.call('resource-guru', 'list_projects'); cotlet call resource-guru list_projects Example response
{
"projects": [
{
"id": 703110,
"name": "Website Redesign",
"project_code": "ACM-04",
"client_id": 55120,
"start_date": "2026-11-02",
"end_date": "2026-12-18"
}
]
}